#1488 closed defect (fixed)

when started by Micromon and CONSOLE_USE_INTERRUPTS is 1, console does not work

Reported by: Allan Hessenflow Owned by: Joel Sherrill
Priority: normal Milestone: 4.10
Component: bsps Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

Micromon on bf537 uses DMA for UART reception. This prevents the UART driver in RTEMS from working (and also causes received characters to be stored in a buffer that RTEMS doesn't know about, so it's potentially dangerous, but in practice the risk is small since an RTEMS app intended to be booted from Micromon would normally be configured to leave the RAM Micromon uses reserved). The attached patch corrects this by disabling all DMA channels at startup.

Attachments (1)

start.patch (1.5 KB) - added by Allan Hessenflow on Jan 5, 2010 at 4:36:46 AM.
patch for c/src/lib/libbsp/bfin/bf537Stamp/start/start.S to disable DMA channels

Download all attachments as: .zip

Change History (3)

Changed on Jan 5, 2010 at 4:36:46 AM by Allan Hessenflow

Attachment: start.patch added

patch for c/src/lib/libbsp/bfin/bf537Stamp/start/start.S to disable DMA channels

comment:1 Changed on Mar 10, 2010 at 4:22:22 PM by Joel Sherrill

Resolution: fixed
Status: newclosed

Patch applied to CVS head. Thanks.

comment:2 Changed on Nov 23, 2014 at 7:14:32 PM by Joel Sherrill

Version: unknown4.11
Note: See TracTickets for help on using tickets.